## ros-iron-launch-ros 0.24.0

=== debian/changelog ===
ros-iron-launch-ros (0.24.0-2jammy) jammy; urgency=high

  * Use SomeEntitiesType for type checking. (#358 <https://github.com/ros2/launch_ros/issues/358>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-launch-ros (0.23.0-2jammy) jammy; urgency=high

  * Fix normalize_parameters_dict for multiple nodes in the same namespace (#347 <https://github.com/ros2/launch_ros/issues/347>)
  * Implement None check for ComposableNodeContainer (#341 <https://github.com/ros2/launch_ros/issues/341>)
  * Add LifecyleTransition action (#317 <https://github.com/ros2/launch_ros/issues/317>)
  * Improve evaluate_paramenter_dict exceptions error message (#320 <https://github.com/ros2/launch_ros/issues/320>)
  * Ensure load_composable_nodes respects condition (#339 <https://github.com/ros2/launch_ros/issues/339>)
  * fix: return text value to avoid exception (#338 <https://github.com/ros2/launch_ros/issues/338>)
  * [rolling] Update maintainers - 2022-11-07 (#331 <https://github.com/ros2/launch_ros/issues/331>)
  * Contributors: Alexey Merzlyakov, Audrow Nash, Christoph Hellmann Santos, Daisuke Nishimatsu, Felipe Gomes de Melo, methylDragon

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-launch-ros (0.22.0-2jammy) jammy; urgency=high

  * RosTimer -> ROSTimer and PushRosNamespace -> PushROSNamespace, to follow PEP8 (#326 <https://github.com/ros2/launch_ros/issues/326>)
  * add SetROSLogDir action (#325 <https://github.com/ros2/launch_ros/issues/325>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-launch-ros (0.21.0-2jammy) jammy; urgency=high

  * Support default values in parameter substitution (#313 <https://github.com/ros2/launch_ros/issues/313>)
  * Contributors: Kenji Miyake

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-launch-ros (0.20.0-2jammy) jammy; urgency=high

  * Run condition for composable nodes (#311 <https://github.com/ros2/launch_ros/issues/311>)
  * Contributors: Aditya Pande

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-launch-ros (0.19.2-2jammy) jammy; urgency=high

  * Fix importlib_metadata warning on Python 3.10. (#307 <https://github.com/ros2/launch_ros/issues/307>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-launch-ros (0.19.1-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-launch-ros (0.19.0-2jammy) jammy; urgency=high

  * Use correct namespace when evaluating parameter files for composable nodes (#303 <https://github.com/ros2/launch_ros/issues/303>)
  * Handle empty strings when evaluating parameters (#300 <https://github.com/ros2/launch_ros/issues/300>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-iron-launch-ros (0.18.0-2jammy) jammy; urgency=high

  * Add parameter substitution (#297 <https://github.com/ros2/launch_ros/issues/297>)
  * Contributors: Kenji Miyake

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-launch-ros (0.17.0-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Dec 2021 16:00:00 -0000

ros-iron-launch-ros (0.16.0-2jammy) jammy; urgency=high

  * fix bug in warning when an entry point fails to load (#243 <https://github.com/ros2/launch_ros/issues/243>)
  * More Helpful Error Messages (#275 <https://github.com/ros2/launch_ros/issues/275>)
  * Update maintainers in setup.py (#287 <https://github.com/ros2/launch_ros/issues/287>)
  * Set parameters from file for composable nodes (#281 <https://github.com/ros2/launch_ros/issues/281>)
  * Update package maintainers (#284 <https://github.com/ros2/launch_ros/issues/284>)
  * Update node name matcher (#282 <https://github.com/ros2/launch_ros/issues/282>)
  * Support both parameter file configurations for composable nodes (#259 <https://github.com/ros2/launch_ros/issues/259>)
  * Contributors: Aditya Pande, Audrow Nash, David V. Lu!!, Jacob Perron, Michel Hidalgo, Rebecca Butler, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 28 Nov 2021 16:00:00 -0000

ros-iron-launch-ros (0.15.0-2jammy) jammy; urgency=high

  * Handle substitutions in RosTimer (#264 <https://github.com/ros2/launch_ros/issues/264>)
  * Add SetParametersFromFile action (#260 <https://github.com/ros2/launch_ros/issues/260>)
  * Properly support ros_args attribute through launch frontends (#253 <https://github.com/ros2/launch_ros/issues/253>)
  * Add 'push_ros_namespace' alias to 'push-ros-namespace' (#250 <https://github.com/ros2/launch_ros/issues/250>)
  * Add ros_arguments option to Node action (#249 <https://github.com/ros2/launch_ros/issues/249>)
  * Refactor RosTimer to extend TimerAction (#248 <https://github.com/ros2/launch_ros/issues/248>)
  * ROS Timer Action (#244 <https://github.com/ros2/launch_ros/issues/244>)
  * Support container in frontend (#235 <https://github.com/ros2/launch_ros/issues/235>)
  * Fix a small typo in a comment (#237 <https://github.com/ros2/launch_ros/issues/237>)
  * Better document parameter handling in Node (#234 <https://github.com/ros2/launch_ros/issues/234>)
  * Contributors: Aditya Pande, Chris Lalancette, Christophe Bedard, Felix Divo, Jacob Perron, Kenji Miyake, Rebecca Butler

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Oct 2021 16:00:00 -0000

ros-iron-launch-ros (0.14.2-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-iron-launch-ros (0.14.1-2jammy) jammy; urgency=high

  * Support Python 3.8 importlib.metadata, declare dependency (#229 <https://github.com/ros2/launch_ros/issues/229>)

