=== debian/control ===
Source: ros-iron-launch-ros
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-importlib-metadata, python3-pytest <!nocheck>, python3-yaml, ros-iron-ament-copyright <!nocheck>, ros-iron-ament-flake8 <!nocheck>, ros-iron-ament-index-python, ros-iron-ament-pep257 <!nocheck>, ros-iron-composition-interfaces, ros-iron-launch, ros-iron-lifecycle-msgs, ros-iron-osrf-pycommon, ros-iron-rclpy, ros-iron-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-launch-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-importlib-metadata, python3-yaml, ros-iron-ament-index-python, ros-iron-composition-interfaces, ros-iron-launch, ros-iron-lifecycle-msgs, ros-iron-osrf-pycommon, ros-iron-rclpy, ros-iron-ros-workspace
Description: ROS specific extensions to the launch tool.
